X Window Parent Functions
Ecore » Ecore_X - X11 Integration

Functions that retrieve or changes the parent window of a window. More...

## Functions

void | ecore_x_window_reparent (Ecore_X_Window win, Ecore_X_Window new_parent, int x, int y)
| Moves a window to within another window at a given position.
Ecore_X_Window | ecore_x_window_parent_get (Ecore_X_Window win)
| Retrieves the parent window of the given window.

## Detailed Description

Functions that retrieve or changes the parent window of a window.

## Function Documentation

## ecore_x_window_reparent()

void ecore_x_window_reparent | ( | Ecore_X_Window | win,
|  | Ecore_X_Window | new_parent,
|  | int | x,
|  | int | y )

Moves a window to within another window at a given position.

Parameters

  win | The window to reparent.
  new_parent | The new parent window.
  x | X position within new parent window.
  y | Y position within new parent window.

References ecore_x_sync().

## ecore_x_window_parent_get()

Ecore_X_Window ecore_x_window_parent_get | ( | Ecore_X_Window | win | ) |

Retrieves the parent window of the given window.

Parameters

  win | The given window.

Returns
  The parent window of `win`.

References ecore_x_sync().